Smart Proxy - Bug #14134

Rake tasks fail under rake 11.x with undefined method ‘last_ comment’
03/10/2016 03:44 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Packaging
Target version: 1.10.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/391
Description

As with Foreman in #14114, rake 11.x causes the following error with rubocop pre-0.38.0:

NoMethodError: undefined method "“last_comment' for #<Rake::Application:0x000000019£30c0>
/usr/local/rvm/gems/ruby-1.9.3-p392Q@test_proxy_develop_pr_core-1/gems/rubocop-0.37.1/1ib/rubocop/r
ake_task.rb:24:in “initialize'’

tasks/rubocop.rake:4:in ‘new'

tasks/rubocop.rake:4:in ‘<top (required)>'
/var/lib/workspace/workspace/test_proxy_develop_pr_core/puppet/3.2.0/ruby/1.9.3/Rakefile:11:in "lo
ad’'

/var/lib/workspace/workspace/test_proxy_develop_pr_core/puppet/3.2.0/ruby/1.9.3/Rakefile:11:in "<t
op (required)>'
/usr/local/rvm/gems/ruby-1.9.3-p392Q@test_proxy_develop_pr_core-1/bin/ruby_noexec_wrapper:14:in ‘ev
al'

/usr/local/rvm/gems/ruby—-1.9.3-p392@test_proxy_develop_pr_core-1/bin/ruby_noexec_wrapper:14:in " <m
ain>"'

On Ruby 1.8.7, rake 11.x also can't be installed as it's now 1.9.3+ only:

Installing rake 11.0.1
Gem: :InstallError: rake requires Ruby version >= 1.9.3.

Related issues:
Related to Smart Proxy - Bug #14159: Excessively verbose output when execultin... Closed 03/11/2016

Associated revisions

Revision 537a4624 - 03/10/2016 05:16 AM - Dominic Cleal
fixes #14134 - update rubocop and pin for rake 11.x compatibility

History

#1 - 03/10/2016 03:57 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/391 added

#2 - 03/10/2016 06:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 537a4624788a7ed146b335f918d86f7d60a7e575.

#3 - 03/10/2016 06:10 AM - Dominic Cleal

- translation missing: en.field_release set to 145
https://projects.theforeman.org/issues/14114
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/537a4624788a7ed146b335f918d86f7d60a7e575

#4 - 03/16/2016 04:44 AM - Dominic Cleal

- Related to Bug #14159: Excessively verbose output when executing tests added
